Index: branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/treeifc/ITaskFactory.java
===================================================================
--- branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/treeifc/ITaskFactory.java	(revision 1646)
+++ branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/treeifc/ITaskFactory.java	(revision 1733)
@@ -28,126 +28,135 @@
 public interface ITaskFactory {
 
-    /**
-     * <p>
-     * creates a new event task with the given description
-     * </p>
-     * 
-     * @param description the description for the represented events
-     * 
-     * @return the event task
-     */
-    IEventTask createNewEventTask(String description);
+	/**
+	 * <p>
+	 * creates a new event task with the given description
+	 * </p>
+	 * 
+	 * @param description
+	 *            the description for the represented events
+	 * 
+	 * @return the event task
+	 */
+	IEventTask createNewEventTask(String description);
 
-    /**
-     * <p>
-     * creates a new empty sequence
-     * </p>
-     * 
-     * @return the sequence
-     */
-    ISequence createNewSequence();
+	/**
+	 * <p>
+	 * creates a new empty iteration
+	 * </p>
+	 * 
+	 * @return the iteration
+	 */
+	IIteration createNewIteration();
 
-    /**
-     * <p>
-     * creates a new empty iteration
-     * </p>
-     * 
-     * @return the iteration
-     */
-    IIteration createNewIteration();
+	/**
+	 * <p>
+	 * creates a new empty optional
+	 * </p>
+	 * 
+	 * @return the optional
+	 */
+	IOptional createNewOptional();
 
-    /**
-     * <p>
-     * creates a new empty optional
-     * </p>
-     * 
-     * @return the optional
-     */
-    IOptional createNewOptional();
+	/**
+	 * <p>
+	 * creates a new empty selection
+	 * </p>
+	 * 
+	 * @return the selection
+	 */
+	ISelection createNewSelection();
 
-    /**
-     * <p>
-     * creates a new empty selection
-     * </p>
-     * 
-     * @return the selection
-     */
-    ISelection createNewSelection();
+	/**
+	 * <p>
+	 * creates a new empty sequence
+	 * </p>
+	 * 
+	 * @return the sequence
+	 */
+	ISequence createNewSequence();
 
-    /**
-     * <p>
-     * creates a new task instance with the given task as its model representing the provided event
-     * </p>
-     * 
-     * @param task  the model of the task instance to be created
-     * @param event the event represented by the task instance
-     * 
-     * @return the task instance
-     */
-    IEventTaskInstance createNewTaskInstance(IEventTask task, Event event);
+	/**
+	 * <p>
+	 * creates a new task instance with the given task as its model representing
+	 * the provided event
+	 * </p>
+	 * 
+	 * @param task
+	 *            the model of the task instance to be created
+	 * @param event
+	 *            the event represented by the task instance
+	 * 
+	 * @return the task instance
+	 */
+	IEventTaskInstance createNewTaskInstance(IEventTask task, Event event);
 
-    /**
-     * <p>
-     * creates a new task instance with the given sequence as its model
-     * </p>
-     * 
-     * @param sequence the model of the task instance to be created
-     * 
-     * @return the task instance
-     */
-    ISequenceInstance createNewTaskInstance(ISequence sequence);
+	/**
+	 * <p>
+	 * creates a new task instance with the given iteration as its model
+	 * </p>
+	 * 
+	 * @param iteration
+	 *            the model of the task instance to be created
+	 * 
+	 * @return the task instance
+	 */
+	IIterationInstance createNewTaskInstance(IIteration iteration);
 
-    /**
-     * <p>
-     * creates a new task instance with the given iteration as its model
-     * </p>
-     * 
-     * @param iteration the model of the task instance to be created
-     * 
-     * @return the task instance
-     */
-    IIterationInstance createNewTaskInstance(IIteration iteration);
+	/**
+	 * <p>
+	 * creates a new task instance with the given optional as its model
+	 * </p>
+	 * 
+	 * @param optional
+	 *            the model of the task instance to be created
+	 * 
+	 * @return the task instance
+	 */
+	IOptionalInstance createNewTaskInstance(IOptional optional);
 
-    /**
-     * <p>
-     * creates a new task instance with the given optional as its model
-     * </p>
-     * 
-     * @param optional the model of the task instance to be created
-     * 
-     * @return the task instance
-     */
-    IOptionalInstance createNewTaskInstance(IOptional optional);
+	/**
+	 * <p>
+	 * creates a new task instance with the given selection as its model
+	 * </p>
+	 * 
+	 * @param selection
+	 *            the model of the task instance to be created
+	 * 
+	 * @return the task instance
+	 */
+	ISelectionInstance createNewTaskInstance(ISelection selection);
 
-    /**
-     * <p>
-     * creates a new task instance with the given selection as its model
-     * </p>
-     * 
-     * @param selection the model of the task instance to be created
-     * 
-     * @return the task instance
-     */
-    ISelectionInstance createNewTaskInstance(ISelection selection);
+	/**
+	 * <p>
+	 * creates a new task instance with the given sequence as its model
+	 * </p>
+	 * 
+	 * @param sequence
+	 *            the model of the task instance to be created
+	 * 
+	 * @return the task instance
+	 */
+	ISequenceInstance createNewTaskInstance(ISequence sequence);
 
-    /**
-     * <p>
-     * creates a new empty user session
-     * </p>
-     * 
-     * @return the user session
-     */
-    IUserSession createUserSession();
+	/**
+	 * <p>
+	 * creates a task model based on the provided user sessions
+	 * </p>
+	 * 
+	 * @param userSessions
+	 *            the session based on which the task model shall be created
+	 * 
+	 * @return the task model
+	 */
+	ITaskModel createTaskModel(List<IUserSession> userSessions);
 
-    /**
-     * <p>
-     * creates a task model based on the provided user sessions
-     * </p>
-     * 
-     * @param userSessions the session based on which the task model shall be created
-     * 
-     * @return the task model
-     */
-    ITaskModel createTaskModel(List<IUserSession> userSessions);
+	/**
+	 * <p>
+	 * creates a new empty user session
+	 * </p>
+	 * 
+	 * @return the user session
+	 */
+	IUserSession createUserSession();
 
 }
